Attribute VB_Name = "Abfrage"
Declare Function ExitWindowsEx Lib "user32" _
(ByVal uFlags As Long, ByVal dwReserved As Long) As Long
'Public Const EWX_LOGOFF = 0
Public Const EWX_SHUTDOWN = 1
'Public Const EWX_REBOOT = 2
'Public Const EWX_FORCE = 4

Public Flag As Boolean

'Pause-Prozedur global gültig. Dies ist erforderlich, da
'sie auf beiden Formen verwendet wird.

Public Sub Pause(Sekunden)
  Dim Zeit As Variant
  Zeit = Timer      'Weist der Variablen "Zeit" die Startzeit zu
  Do                'Schleifenbeginn
    DoEvents        'Ermöglicht Windows andere Aktionen
    'Wenn neue Zeit (>> Timer) abzüglich Startzeit > als
    'gewünschte Pause (>>Sekunden), dann Schleife verlassen
    If Timer - Zeit > Sekunden Then Exit Do
  Loop              'Schleifenende
End Sub



